<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" type="text/css" href="./assets/CSS/style.css">
    <title>Coding Quiz</title>
</head>

<body>
    <div class="container">
        <!-- Highscores and Timer -->
        <header class="row">
            <div class="col-md-6" id="Highscores">
                <a href="./scores.html">View Highscores</a>
            </div>
            <div class="col-md-6" id="timer">
                Time: <span id="time">0</span>
            </div>

        </header>

        <!-- Page Title -->
        <section id="title-section" class="show">
            <div class="row">
                <div class="col-md-12">
                    <h1>Coding Quiz Challenge</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <p>Click the start button below to test your knowledge about coding. 
                    Watch the timer, because incorrect answers will take away 10 seconds! 
                    At the end, save your score to see how you match up with other users!
                    </p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <button id="startButton">Start Quiz</button>
                </div>
            </div>
        </section>

        <!-- Quiz Questions -->
        <section id="quiz-section" class="hide">
            <div class="row">
                <div class="col-md-12 questions">
                    <h3 id="question-title"></h3>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12" id="choices"></div>
                <div id="feedback" class="feedback hide"></div>
            </div>
        </section>

        <!-- High Scores -->
        <section id="highscore-section" class="hide">
            <div class="row">
                <div id="high-score" class="col-md-12">
                    <h2>All done!</h2>
                    <h3>Your final score is <span id="final-score">0</span></h3>
                    <label for="initials-area">Enter initials:</label>
                    <input type="text" name="initials-area" maxlength="4" id="initials">
                    <button id="submit-button" type="submit">Submit</button>
                </div>
            </div>
        </section>

        <script type="text/javascript" src="./Assets/JS/script.js"></script>
        <script type="text/javascript" src="./Assets/JS/scores.js"></script>
        <script type="text/javascript" src="./Assets/JS/questions.js"></script>

</body>

</html>